scala

# reflect

#### package reflect

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. reflect
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type ClassManifest[T] = ClassTag[T]

   Annotations
     @deprecated @implicitNotFound( ... )
   Deprecated

     (Since version 2.10.0) Use scala.reflect.ClassTag instead

### Value Members

1. #### val Manifest: ManifestFactory.type

2. #### def classTag[T](implicit ctag: ClassTag[T]): ClassTag[T]

3. #### def ensureAccessible[T <: AccessibleObject](m: T): T

4. #### package macros

5. #### package quasiquotes

6. #### package reify

### Deprecated Value Members

1. #### val ClassManifest: ClassManifestFactory.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use scala.reflect.ClassTag instead

### Inherited from AnyRef

### Inherited from Any

### Ungrouped